Your submission was sent successfully! Close

CVE-2018-10115

Published: 02 May 2018

Incorrect initialization logic of RAR decoder objects in 7-Zip 18.03 and before can lead to usage of uninitialized memory, allowing remote attackers to cause a denial of service (segmentation fault) or execute arbitrary code via a crafted RAR archive.

Priority

Medium

CVSS 3 base score: 7.8

Status

Package Release Status
p7zip-rar
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.10 (Impish Indri) Not vulnerable
(16.02-3)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(16.02-3)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(16.02-3)
Ubuntu 18.04 LTS (Bionic Beaver) Needs triage

Ubuntu 16.04 ESM (Xenial Xerus) Ignored
(end of standard support, was needs-triage)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was needs-triage)